<?php
require_once '../service/ScoreInfoService.class.php';
require_once '../phpbean/ScoreInfo.class.php';
require_once '../service/StudentService.class.php';
$studentService = new StudentService();
require_once '../service/CourseInfoService.class.php';
$courseInfoService = new CourseInfoService();
$scoreId = $_GET['scoreId'];
$scoreInfoService = new ScoreInfoService();
$scoreInfo = $scoreInfoService->GetScoreInfo($scoreId);

/*使用 JSON数据格式返回*/
header('Content-type: text/json;charset=utf-8');
echo "{scoreId:".$scoreInfo->getScoreId();
echo ",studentNumber:\"".$studentService->GetStudent($scoreInfo->getStudentNumber())->getStudentName()."\"";
echo ",courseNumber:\"".$courseInfoService->GetCourseInfo($scoreInfo->getCourseNumber())->getCourseName()."\"";
echo ",scoreValue:".$scoreInfo->getScoreValue();
echo ",studentEvaluate:\"".$scoreInfo->getStudentEvaluate()."\"";
echo "}"; 
?>
